Finance::Quote::YahooYQL(3)

NAME
Finance::Quote::YahooYQL - Obtain quotes from Yahoo Finance through YQL call

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new;

    %info = Finance::Quote->fetch("yahoo_yql","AAPL");

DESCRIPTION
This module fetches information from YQL as JSON

This module is loaded by default on a Finance::Quote object. It's also possible to load it explicity by placing "YahooYQL" in the argument list to Finance::Quote->new().

This module provides the "yahoo_yql" fetch method.

LABELS RETURNED
The following labels may be returned by Finance::Quote::YahooYQL : name, last, isodate, volume, method, exchange, currency.

SEE ALSO